64位Ubuntu无法安装32位兼容库的解决办法

Ubuntu不同于windows,在64位Ubuntu上没有默认集成32位兼容库,所以需要手动安装,安装的办法也不难,直接在终端中执行:sudo apt-get install ia32-libs*即可。

但是今天重装了Ubuntu(由于误操作把unity弄崩了,懒得修了直接重做了)后发现执行sudo apt-get install ia32-libs*竟然报错!提示如下:
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是 因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件 包尚未被创建或是它们已被从新到(Incoming)目录移出

本来还以为又是什么误操作来着,后来才发现原因。原来是我大天朝的Ubuntu更新服务器与官方不同步来着……所以之需要把软件源调到主服务器就OK了,虽然慢点但是总比装不上好啊。

2 thoughts on “64位Ubuntu无法安装32位兼容库的解决办法

发表评论

电子邮件地址不会被公开。 必填项已用*标注

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>